package com.fs.chat.service;

import com.fs.chat.domain.ChatRole;

import java.util.List;

/**
 * 聊天角色Service接口
 *
 * @author fs
 * @date 2024-04-19
 */
public interface IChatRoleService
{
    /**
     * 查询聊天角色
     *
     * @param roleId 聊天角色主键
     * @return 聊天角色
     */
    public ChatRole selectChatRoleByRoleId(Long roleId);

    /**
     * 查询聊天角色列表
     *
     * @param chatRole 聊天角色
     * @return 聊天角色集合
     */
    public List<ChatRole> selectChatRoleList(ChatRole chatRole);

    /**
     * 新增聊天角色
     *
     * @param chatRole 聊天角色
     * @return 结果
     */
    public int insertChatRole(ChatRole chatRole);

    /**
     * 修改聊天角色
     *
     * @param chatRole 聊天角色
     * @return 结果
     */
    public int updateChatRole(ChatRole chatRole);

    /**
     * 批量删除聊天角色
     *
     * @param roleIds 需要删除的聊天角色主键集合
     * @return 结果
     */
    public int deleteChatRoleByRoleIds(Long[] roleIds);

    /**
     * 删除聊天角色信息
     *
     * @param roleId 聊天角色主键
     * @return 结果
     */
    public int deleteChatRoleByRoleId(Long roleId);

    ChatRole selectChatRoleByKfId(String open_kfid);
}
